provider "aws" {
  region  = var.region
  profile = var.profile
}

module "vpc" {
  source     = "../tfmodule-aws-2tier-vpc"
  region  = var.region
  profile = var.profile
  vpc-name   = var.vpc-name
  vpc-cidr   = var.vpc-cidr
  vpc-azs    = var.vpc-azs
  common-tags = {
    "Owner"   = "maguec"
    "Project" = "example_terraform"
  }
}

module "nodes" {
  source     = "../tfmodule-aws-redis-enterprise"
  region  = var.region
  profile = var.profile
  open-nets = ["76.14.80.208/32"]
  data-node-count = 3
  vpc-cidr   = var.vpc-cidr
  vpc-azs    = var.vpc-azs
  vpc-name   = var.vpc-name
  vpc-id = module.vpc.vpc-id
  vpc-subnets = ["subnet-062902e9bd6b331d3", "subnet-06d9dcca76217c425"]
  common-tags = {
    "Owner"   = "maguec"
    "Project" = "example_terraform"
  }
}